Bug 138852 - (IT#50742) Anaconda assigns the same network config to multiple interfaces
Anaconda assigns the same network config to multiple interfaces
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
Depends On:
Blocks: 132991
  Show dependency treegraph
Reported: 2004-11-11 11:52 EST by Steve Conklin
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-18 10:28:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Conklin 2004-11-11 11:52:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)

Description of problem:
From IT#50742

 When a ks.cfg is written that has a network line like the following:
network --bootproto static --ip --gateway --netmask  --nameserver

If the system has more than one interface, and the connected interface
is eth2 and eth2 is used to install either by specifying the
"ksdevice" at the boot prompt, or by manually selecting the interface
with anaconda,  the following things will happen:

1) Both /etc/sysconfig/network-scripts/ifcfg-eth0 and ifcfg-eth2 will
have the *same IP configuration*.  The same IP address, netmask,
broadcast, etc.  The MAC addresses are different, and the device names
are different (each is correctly set in the ifcfg-eth? for its
respective interface).

2) As a clue to how this is happening, the /root/anaconda-ks.cfg that
is generated when the system has been installed has the following in it:

network --device eth0 --bootproto static --ip
--netmask --gateway --nameserver
network --device eth2 --bootproto static --ip
--netmask --gateway --nameserver

(the customer) would like to see anaconda pass the ksdevice boot
option to the installer itself and configure only that interface

NOTE: I added --device eth1 to the ks.cfg and only the eth1 device was
configured (as expected). However, Citi needs thier ks.cfg to be
generic and prefers specifying the device as a boot parameter.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Configure kickstart as above
2.build system

Actual Results:  multiple NICs have the same configuration

Expected Results:  Network interfaces shouldn't be configured the same 

Additional info:
Comment 4 Paul Nasrat 2005-02-03 15:25:46 EST
Commited to RHEL3 tree
Comment 10 Dennis Gregorovic 2005-05-18 10:28:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.